stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
stdex::html::instruction Class Reference

HTML instruction. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::instruction:

## Public Member Functions
template<class T >
| instruction (stdex::parser::basic_html_tag< T > &&tag, sequence *parent=nullptr)
Public Member Functions inherited from stdex::html::sequence
| sequence (stdex::parser::html_sequence_t _type=stdex::parser::html_sequence_t::unknown, size_t start=0, size_t end=0, sequence *_parent=nullptr)

## Public Attributes
stdex::interval< size_t > | content
| Instruction content position in source.
Public Attributes inherited from stdex::html::sequence
stdex::parser::html_sequence_t | type
| Sequence type. Enum is used for performance reasons (vs. `dynamic_cast`)
stdex::interval< size_t > | interval
| Sequence position in source.
sequence * | parent
| Parent sequence.

## Detailed Description

HTML instruction.

The documentation for this class was generated from the following file:

- include/stdex/html.hpp